- Main Page
- Related Pages
- Modules
- Files

Functions
GLM_GTC_constants
GTC Extensions (Stable)

## Functions
template<typename genType >
genType | e ()
template<typename genType >
genType | epsilon ()
template<typename genType >
genType | euler ()
template<typename genType >
genType | golden_ratio ()
template<typename genType >
genType | half_pi ()
template<typename genType >
genType | ln_ln_two ()
template<typename genType >
genType | ln_ten ()
template<typename genType >
genType | ln_two ()
template<typename genType >
genType | one ()
template<typename genType >
genType | one_over_pi ()
template<typename genType >
genType | one_over_root_two ()
template<typename genType >
genType | pi ()
template<typename genType >
genType | quarter_pi ()
template<typename genType >
genType | root_five ()
template<typename genType >
genType | root_half_pi ()
template<typename genType >
genType | root_ln_four ()
template<typename genType >
genType | root_pi ()
template<typename genType >
genType | root_three ()
template<typename genType >
genType | root_two ()
template<typename genType >
genType | root_two_pi ()
template<typename genType >
genType | third ()
template<typename genType >
genType | two_over_pi ()
template<typename genType >
genType | two_over_root_pi ()
template<typename genType >
genType | two_thirds ()
template<typename genType >
genType | zero ()

## Detailed Description

Allow to perform bit operations on integer values.

<glm/gtc/constants.hpp> need to be included to use these features.

## Function Documentation

genType glm::e | ( |  | ) |

Return e constant.

See Also
  GLM_GTC_constants

genType glm::epsilon | ( |  | ) |

Return the epsilon constant for floating point types.

Todo:
  Implement epsilon for half-precision floating point type.

See Also
  GLM_GTC_constants

genType glm::euler | ( |  | ) |

Return Euler's constant.

See Also
  GLM_GTC_constants

genType glm::golden_ratio | ( |  | ) |

Return the golden ratio constant.

See Also
  GLM_GTC_constants

genType glm::half_pi | ( |  | ) |

Return pi / 2.

See Also
  GLM_GTC_constants

genType glm::ln_ln_two | ( |  | ) |

Return ln(ln(2)).

See Also
  GLM_GTC_constants

genType glm::ln_ten | ( |  | ) |

Return ln(10).

See Also
  GLM_GTC_constants

genType glm::ln_two | ( |  | ) |

Return ln(2).

See Also
  GLM_GTC_constants

genType glm::one | ( |  | ) |

Return 1.

See Also
  GLM_GTC_constants

genType glm::one_over_pi | ( |  | ) |

Return 1 / pi.

See Also
  GLM_GTC_constants

genType glm::one_over_root_two | ( |  | ) |

Return 1 / sqrt(2).

See Also
  GLM_GTC_constants

genType glm::pi | ( |  | ) |

Return the pi constant.

See Also
  GLM_GTC_constants

genType glm::quarter_pi | ( |  | ) |

Return pi / 4.

See Also
  GLM_GTC_constants

genType glm::root_five | ( |  | ) |

Return sqrt(5).

See Also
  GLM_GTC_constants

genType glm::root_half_pi | ( |  | ) |

Return sqrt(pi / 2).

See Also
  GLM_GTC_constants

genType glm::root_ln_four | ( |  | ) |

Return sqrt(ln(4)).

See Also
  GLM_GTC_constants

genType glm::root_pi | ( |  | ) |

Return square root of pi.

See Also
  GLM_GTC_constants

genType glm::root_three | ( |  | ) |

Return sqrt(3).

See Also
  GLM_GTC_constants

genType glm::root_two | ( |  | ) |

Return sqrt(2).

See Also
  GLM_GTC_constants

genType glm::root_two_pi | ( |  | ) |

Return sqrt(2 * pi).

See Also
  GLM_GTC_constants

genType glm::third | ( |  | ) |

Return 1 / 3.

See Also
  GLM_GTC_constants

genType glm::two_over_pi | ( |  | ) |

Return 2 / pi.

See Also
  GLM_GTC_constants

genType glm::two_over_root_pi | ( |  | ) |

Return 2 / sqrt(pi).

See Also
  GLM_GTC_constants

genType glm::two_thirds | ( |  | ) |

Return 2 / 3.

See Also
  GLM_GTC_constants

genType glm::zero | ( |  | ) |

Return 0.

See Also
  GLM_GTC_constants